<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail</title>
    <style type="text/css">
        .bd-primary{
            background-color: #0275d8;
            border: 2px solid #0275d8;
            border-radius: 15px;
            color: white;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 120px;
        }

        .bd-primary:hover{
            background-color: #0275d8;
            color: white;
        }



        .bd-warning{
            background-color: #f0ad4e;
            border: 2px solid #f0ad4e;
            border-radius: 15px;
            color: white;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 120px;
        }

        .bd-danger{
            background-color: #d9534f;
            border: 2px solid #d9534f;
            border-radius: 15px;
            color: white;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 120px;
        }
    </style>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>
                                            <span th:if="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish != null}" th:text="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah + ' ( ' + jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish + ' ) '}"></span>

                                            <span th:if="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish == null}" th:text="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}"></span>


                                            <p th:text="${jadwal.dosen.karyawan.namaKaryawan}">nama dosen</p>
                                        </h2>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-report">
                                    <a th:href="@{/study/krs}">
                                        <button class="btn btn-primary"><i class="fa fa-arrow-circle-left"></i> Back</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div th:if="${berhasil}" class="alert alert-success alert-dismissible" role="alert" id="alert-berhasil">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"><i class="notika-icon notika-close"></i></span></button> <b>Berhasil!</b> Tugas telah berhasil dikumpulkan.
                </div>
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <h2>Rekap Presensi</h2>
                    </div>
                    <div class="row">
                        <div class="col-lg-12 col-md-12">
                            <div class="accordion-stn">
                                <div class="panel-group" data-collapse-color="nk-green" id="accordionGreen" role="tablist" aria-multiselectable="true">
                                    <div th:each="data:${detail}" class="panel panel-collapse notika-accrodion-cus">
                                        <div class="panel-heading" role="tab">
                                            <h4 class="panel-title">
                                                <a data-toggle="collapse" data-parent="#accordionGreen" th:href="${'#accordionGreen-'+data[4]}" aria-expanded="true">
                                                    <div>Pertemuan ke - <span th:text="${data[5]}"></span> </div>
                                                </a>
                                            </h4>
                                        </div>
                                        <div th:id="${'accordionGreen-'+data[4]}" class="collapse" role="tabpanel">
                                            <div class="panel-body">
                                                <h4>Keterangan</h4>
                                                <div class="row">
                                                    <div class="col-md-2">
                                                        <div th:if="${data[0] == '-'}"><button class="bd-warning" th:text="${data[0]}" >Hadir</button></div>
                                                        <div th:if="${data[0] == 'HADIR'}"><button class="bd-primary" th:text="${data[0]}" >Hadir</button></div>
                                                        <div th:if="${data[0] == 'TERLAMBAT'}"><button class="bd-danger"  th:text="${data[0]}" >Hadir</button></div>
                                                        <div th:if="${data[0] == 'MANGKIR'}"><button class="bd-danger" th:text="${data[0]}" >Hadir</button></div>
                                                        <div th:if="${data[0] == 'IZIN'}"><button class="bd-warning" th:text="${data[0]}" >Hadir</button></div>
                                                        <div th:if="${data[0] == 'SAKIT'}"><button class="bd-warning" th:text="${data[0]}" >Hadir</button></div>
                                                    </div>
                                                    <div class="col-md-10">
                                                        <div class="mt-3" th:text="${'Waktu Masuk : ' + data[1]}"></div>
                                                    </div>
                                                </div>
                                                <hr>
                                                <span th:if="${data[5] != 16 || data[5] == 16 && totalMangkir < 4}">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <span th:text="${data[3]}"></span>
                                                        </div>
                                                    </div>
                                                    <br>
                                                    <div class="tpgp-al-cl">
                                                        <h4 th:if="${data[7] != null}">Link Pertemuan Online</h4>
                                                        <ul th:if="${data[7] != null}" class="tpdg-ul-circle">
                                                            <li>
                                                                <a th:href="${data[7]}" target="_blank" th:text="${data[7]}"></a>
                                                            </li>
                                                        </ul>
                                                        <br>
                                                        <h4>File Materi</h4>
                                                        <ul class="tpdg-ul-circle" th:each="materi, row : ${materi}">
                                                            <li th:if="${materi.sesiKuliah.id == data[4]}">
                                                                <a th:href="@{/materi/{id}/sesi(id=${materi.id})}" target="_blank" th:text="${materi.namaFile}"></a>
                                                            </li>
                                                        </ul>
                                                        <br>
                                                        <h4 th:if="${data[6] != null}">Link Materi</h4>
                                                        <ul th:if="${data[6] != null}" class="tpdg-ul-circle" th:each="link, row:${#strings.arraySplit(data[6], ',')}">
                                                            <li>
                                                                <a th:href="${link}" target="_blank" th:text="${link}"></a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                         <hr>
                                                        <h4>Tugas</h4>
                                                            <!-- && tugas[7] <= now -->
                                                        <div th:each="tugas, row : ${tugas}" th:if="${tugas.getIdSesi() == data[4] && tugas.getWaktuMulai() <= now}" class="tpgp-al-cl">
                                                            <div class="list-tugas">
                                                                <h5 th:text="${'Judul Tugas : ' + tugas.getNamaTugas()}"></h5>
                                                                <input type="hidden" class="waktu-mulai" th:value="${tugas.getWaktuMulai()}">
                                                                <input type="hidden" class="tenggat-waktu" th:value="${tugas.getTenggatWaktu()}">
                                                                <h5 class="message" style="color: red;">Pengumpulan tugas paling telat di kumpulkan pada</h5>
                                                                <a th:href="@{/study/tugas(jadwalTugas=${tugas.getId()})}" class="btn btn-info detail-button">Detail Tugas</a><br><br>
                                                            </div>
                                                        </div>
                                                </span>

                                                <span th:if="${data[5] == 16 && totalMangkir >= 4}">
                                                    <hr>
                                                    <h4>Pemberitahuan</h4>
                                                    <div  class="tpgp-al-cl">
                                                        <div>
                                                            <h5 class="message" style="color: red;">Anda tidak dapat mengikuti UAS karna telah mangkir lebih dari 3 kali</h5>
                                                        </div>
                                                    </div>
                                                </span>

                                                <script>
                                                    document.addEventListener('DOMContentLoaded', function (){
                                                        function getTimeRemaining(targetDate) {
                                                            var now = new Date();
                                                            var timeDiff = targetDate - now;
                                                            if (timeDiff <= 0) return "0 hari, 0 jam, 0 menit, dan 0 detik lagi"; // Jika waktu sudah lewat

                                                            var days = Math.floor(timeDiff / (1000 * 60 * 60 * 24));
                                                            var hours = Math.floor((timeDiff / (1000 * 60 * 60)) % 24);
                                                            var minutes = Math.floor((timeDiff / 1000 / 60) % 60);
                                                            var seconds = Math.floor((timeDiff / 1000) % 60);

                                                            // Format deskriptif: "X hari, Y jam, Z menit, dan W detik lagi"
                                                            var result = '';
                                                            if (days > 0) result += days + " hari, ";
                                                            if (hours > 0) result += hours + " jam, ";
                                                            if (minutes > 0) result += minutes + " menit, ";
                                                            result += seconds + " detik lagi";

                                                            return result;
                                                        }

                                                        document.querySelectorAll('.list-tugas').forEach(function (eventElement){
                                                            var waktuMulai = new Date(eventElement.querySelector('.waktu-mulai').value);
                                                            var tenggatWaktu = new Date(eventElement.querySelector('.tenggat-waktu').value);
                                                            var message = eventElement.querySelector('.message');
                                                            var button = eventElement.querySelector('.detail-button');
                                                            const format = {weekday: 'long', year : 'numeric', month : 'long', day: 'numeric', hour: '2-digit', minute: '2-digit', hour12: false};

                                                            function updateWaktu(){
                                                                var now = new Date();

                                                                if (tenggatWaktu < now){
                                                                    message.textContent = "Pengumpulan tugas sudah melewati tenggat waktu : " + tenggatWaktu.toLocaleString('id-ID', format);
                                                                    message.style.display = 'block';
                                                                    button.style.display = 'inline';
                                                                }else if (waktuMulai <= now && tenggatWaktu >= now){
                                                                    message.textContent = "Waktu pengumpulan tugas tersisa : " + getTimeRemaining(tenggatWaktu);
                                                                    message.style.display = 'block';
                                                                    button.style.display = 'inline';
                                                                }else{
                                                                    message.style.display = 'none';
                                                                    button.style.display = 'none';
                                                                }
                                                            }

                                                            function startCountdown(){
                                                                console.log('countdown jalan');
                                                                updateWaktu();
                                                                setInterval(function (){
                                                                    updateWaktu();
                                                                }, 1000);
                                                            }

                                                            startCountdown();
                                                        });
                                                    });
                                                </script>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>
<script>
    $(document).ready(function (){
        setTimeout(function (){
            var alert = document.getElementById('alert-berhasil');
            if (alert){
                alert.style.display = 'none';
            }
        }, 3000);
    });

    // tinymce
    tinymce.init({
        selector: 'textarea#jawab',
        promotion: false,
        statusbar: false,
        toolbar: 'styles | bold italic | alignleft aligncenter alignright alignjustify | ' +
            'bullist numlist| link image | print preview media fullscreen | ' +
            'forecolor backcolor emoticons | help',
        plugins: [
            'advlist', 'autolink', 'link', 'image', 'lists', 'charmap', 'preview', 'anchor', 'pagebreak',
            'searchreplace', 'wordcount', 'visualblocks', 'visualchars', 'code', 'fullscreen', 'insertdatetime',
            'media', 'table', 'emoticons', 'help'
        ],
    });
</script>